Skip to content
LydieDevelopers
Menu

Publish a document to a connection

View as Markdown
POST/v1/documents/{documentId}/publications

Creates a publication of a document (and its subpages with includeSubpages) to a connection, and queues the first run unless publishNow is false. config follows the connector's configSchema (connector.list). Needs edit access to the document.

Request
curl -X POST "https://api.lydie.co/v1/documents/01JCQ3V5MZ8G4ZK2X7T9R6N1PB/publications" \
  -H "Authorization: Bearer $LYDIE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "connectionId": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB"
  }'

Path parameters

Body

Response

200
{
  "publication": {
    "id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
    "workspaceId": "01JCQ3TZ0WJ8K4M2X7T9R6N1PA",
    "connectionId": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
    "connector": "string",
    "documentId": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
    "includeSubpages": false,
    "filter": null,
    "config": {},
    "autoPublish": false,
    "lastRunAt": null,
    "items": [
      {
        "id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
        "documentId": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
        "state": "draft",
        "externalId": null,
        "externalUrl": null,
        "lastPublishedAt": null,
        "lastError": null,
        "divergence": null,
        "updatedAt": "2026-11-12T09:30:00.000Z"
      }
    ],
    "createdBy": null,
    "updatedBy": null,
    "createdAt": "2026-11-12T09:30:00.000Z",
    "updatedAt": "2026-11-12T09:30:00.000Z"
  },
  "run": null
}

Errors use one envelope for every endpoint. See Errors and versions.